ADSL problem with Redhat 9

Place to discuss Fedora and/or Red Hat

Postby Void Main » Wed Nov 17, 2004 12:14 pm

I never really suggested switching distros to solve something that is kernel related. That is something I just wouldn't personally have done. What I am most interested in is the two links I provided:

http://speedtouch.sourceforge.net/

http://linux-usb.sourceforge.net/SpeedTouch/

I am curious if you have read through the associated specific mailing lists, e.g.:

http://sourceforge.net/forum/forum.php?forum_id=121830

And asked any questions on those specific mailing lists. Again, they have the hardware and they develop the code and should know if there is an answer to your question. Personally, I would have taken Ice9's advice and searched for another piece of hardware that is supported. I can't imagine that you would have to spend a lot. I also don't know what sort of issues you might have to deal with even if it is supported hardware (are you using DHCP, PPPoE, etc). My life is easy in this respect because I have a cable modem with an Ethernet port and I just plug my Linux firewall into it and it gets its IP configuration via DHCP. It's basically plug and surf.

Again, I really would like to help you get your existing equipment working but not being able to get my hands on it physically makes life very difficult for me and I've had much less time lately to do the leg work I used to be able to do. Sorry for that. I also wouldn't purchase any new hardware until I was reasonably certain that I could make it work with the service provider you are using. I'm not trying to give you the runaround, really. I hope the link you and Ice9 have found will solve your problem. Sorry for the big long speeches that contain no solutions..
User avatar
Void Main
Site Admin
Site Admin
 
Posts: 5705
Joined: Wed Jan 08, 2003 5:24 am
Location: Tuxville, USA

Postby grassprietjesteller » Fri Nov 19, 2004 8:23 am

hey,

Ok, tried the sollution on http://jbasket2000.tripod.com/articles/topcom851.htm

It doesn't work (yet), but one of the leds on my modem started flashing. So something happening there.. I keep getting error messages in Konsole. But it's kinda hard to paste the text on the forum when I have no Internetconnection.

I'll try to burn the text on a CD-rom to get it into Windows.

More news to come! :)
grassprietjesteller
user
user
 
Posts: 16
Joined: Sun Nov 14, 2004 8:47 am
Location: Antwerp

Postby grassprietjesteller » Fri Nov 19, 2004 10:00 am

Here you can see the log:


[root@localhost root]# nautilus

/home/ivan/amedyn/scripts/amstart.sh: line 8: /amedyn/scripts: No such file or directory

>>> Inits Zyxel 630-11 & Asus AAM6000UG <<<

>>> Loading USB controller...


>>> Loading firmware...

Zyxel 630-11 & Asus AAM6000UG microcode upload program. 02/08/2004

Josep Comas <jcomas@gna.es>

Sundar <sundar@cynaptix.biz>

Eduardo Espejo <eespejo@users.sourceforge.net>

I found ADSL modem with VendorID = 06b9 & ProductID = a5a5

Loading and sending /usr/sbin/fw-usb.bin...

Firmware is sent!

Waiting ADSL line is up (until -1 seconds)...

...........

ADSL line is up

>>> Loading driver...

FATAL: Module crc32 not found.

Launching driver in normal mode...

FATAL: Module amedyn not found.


It seems my ADSL connection is up, but then the launch of the driver has failed. What is crc23 module?

greetz
grassprietjesteller
user
user
 
Posts: 16
Joined: Sun Nov 14, 2004 8:47 am
Location: Antwerp

Postby Void Main » Fri Nov 19, 2004 10:25 am

Can you post a copy of this script:
/home/ivan/amedyn/scripts/amstart.sh

There is a problem on line 8 and I could tell what is wrong by looking at the script. Or point me to where you got the software from so I can download it and look at it (probably better idea).
User avatar
Void Main
Site Admin
Site Admin
 
Posts: 5705
Joined: Wed Jan 08, 2003 5:24 am
Location: Tuxville, USA

Postby grassprietjesteller » Fri Nov 19, 2004 11:53 am

I've got the software from http://jbasket2000.tripod.com/articles/topcom851.htm

Here a post of the 2 scripts. They are in /home/ivan/amedyn/scripts

----AMSTART----
#!/bin/bash

TEXTDOMAIN=`basename $0`
#if [ -d "./locale" ]; then
# TEXTDOMAINDIR="./locale"
#fi

/amedyn/scripts

amload.sh || exit 1

if [ "$1" = "service" ]; then
if [ -d /var/lock/subsys ]; then
touch /var/lock/subsys/amedyn
fi
fi

if [ "$PROTOCOL_MODE" = "" ]; then
echo $"Error: PROTOCOL_MODE not defined" 1>&2
exit 1
else
if [ "$PROTOCOL_MODE" -eq 1 ]; then
echo $"Setting RFC1483/2684 routed..."
amnetup.sh || exit 1
else
if [ "$PROTOCOL_MODE" -eq 2 ]; then
echo $"Setting PPP over ATM..."
amnet2up.sh || exit 1
else
if [ "$PROTOCOL_MODE" -eq 3 ]; then
echo $"Setting RFC1483/2684 bridged..."
amnet3up.sh || exit 1
else
if [ "$PROTOCOL_MODE" -eq 4 ]; then
echo $"Setting PPP over Ethernet..."
amnet4up.sh || exit 1
else
echo $"Error: unknow protocol mode" 1>&2
exit 1
fi
fi
fi
fi
fi


----AMLOAD.SH----
!/bin/bash

TEXTDOMAIN=`basename $0`
#if [ -d "./locale" ]; then
# TEXTDOMAINDIR="./locale"
#fi

. /etc/amedyn

echo $">>> Inits Zyxel 630-11 & Asus AAM6000UG <<<"
echo

FLOAD_NAME=amload
MODULE_NAME=amedyn
MODULE_NAMEDBG=amedyndbg

# Load usb host controller if is not loaded
KERNEL_VERSION=`uname -r | cut -d'.' -f1-2`
if [ "$KERNEL_VERSION" = "2.4" ]; then
usbcon=`lsmod | cut -d ' ' -f1 | grep -E "^uhci|usb-uhci|usb-ohci|ehci-hcd$"`
if [ "$usbcon" = "" ]; then
echo $">>> Loading USB controller..."
modprobe uhci > /dev/null || modprobe usb-ohci > /dev/null || modprobe ehci-hcd > /dev/null
sleep 5s
echo
fi
else
usbcon=`lsmod | cut -d ' ' -f1 | grep -E "uhci_hcd|ohci_hcd|ehci_hcd$"`
if [ "$usbcon" = "" ]; then
echo $">>> Loading USB controller..."
modprobe uhci-hcd
modprobe ohci-hcd
modprobe ehci-hcd
sleep 5s
echo
fi
fi

# Mount USB file systems if is not mounted
mt_old=`mount -t usbdevfs`
mt_new=`mount -t usbfs`
if [ "$mt_old" = "" ] && [ "$mt_new" = "" ]; then
echo $">>> Mounting USB file system..."
mount -t usbfs usbfs /proc/bus/usb || mount -t usbdevfs none /proc/bus/usb || exit 1
echo
fi

# Remove module if it is loaded, we only have 1 interface, this is need to load firmware
driver=`lsmod | cut -d' ' -f1 | grep -E "^$MODULE_NAME|$MODULE_NAMEDBG$"`
if [ "$driver" != "" ]; then
echo $">>> Removing amedyn driver..."
rmmod $driver || exit 1
echo
sleep 1s
fi

# Load firmware
echo $">>> Loading firmware..."
$FLOAD_NAME || exit 1


# Wait processor (?)
#sleep 5s
#echo

# Load Zyxel 630-11 & Asus AAM6000UG module
echo $">>> Loading driver..."

if [ "$KERNEL_VERSION" != "2.4" ]; then
crc32=`lsmod | cut -d ' ' -f1 | grep -E "^crc32$"`
if [ "$crc32" = "" ]; then
modprobe crc32
fi
fi

case "$DRIVER_MODE" in
1)
# normal mode:
echo $"Launching driver in normal mode...";
MODULE_RUN=$MODULE_NAME
;;

2)
# debug mode:
echo $"Launching driver in debug mode...";
MODULE_RUN=$MODULE_NAMEDBG
;;

esac
modprobe $MODULE_RUN || exit 1
sleep 3s

echo
echo $0 $"successful"
grassprietjesteller
user
user
 
Posts: 16
Joined: Sun Nov 14, 2004 8:47 am
Location: Antwerp

Postby Void Main » Fri Nov 19, 2004 12:08 pm

I just downloaded that file, extracted it and looked at amstart.sh and line 8 in mine reads:

Code: Select all
. /etc/amedyn


where line 8 in your file reads

Code: Select all
/amedyn/scripts


which is wrong and is causing at least your first error. Do you know how the script got changed? What it should be doing there is sourcing the config file which should be a file called "amedyn" in the /etc directory.

Also, in case you didn't notice them there is a forum on the sourceforge site where you got the file:

http://sourceforge.net/forum/forum.php?forum_id=287227

and a wiki:

http://usuarios.lycos.es/amedyn/uniwaka ... a=HomePage
User avatar
Void Main
Site Admin
Site Admin
 
Posts: 5705
Joined: Wed Jan 08, 2003 5:24 am
Location: Tuxville, USA

Postby grassprietjesteller » Fri Nov 19, 2004 12:39 pm

I've changed the source becaus eI don't have a /etc directory. I tried to solve it but no succes.

I''ll try to do it all over again. I read that there might be a problem with the 'make' command

greetz
grassprietjesteller
user
user
 
Posts: 16
Joined: Sun Nov 14, 2004 8:47 am
Location: Antwerp

Postby Void Main » Fri Nov 19, 2004 12:50 pm

I have never seen a distro that doesn't have a /etc directory. There is no reason you can't move the config file to where you want though but you have to give it the full path and don't forget the "." and the space " " at the beginning of the line. In your case it would be:

Code: Select all
. /home/ivan/amedyn/scripts/amedyn


where the config file name is "amadyn" residing in your /home/ivan/amedyn/scripts directory. Also, I think it assumes you are going to install the package with root level permissions and it will likely have to be run with root level permissions because I believe it needs to install a couple of kernel modules at minimum. If you install it as root I would go ahead and use the default locations (put the config file in /etc and I think the scripts will go in /usr/sbin. There is a Makefile that comes with the package that I think all you should have to do is:

# make

as root. Actually there appear to be several targets in the makefile so you may have to give make a parameter like "make install", etc. I haven't yet had time to look closely at the docs and web page you pointed me to though.
User avatar
Void Main
Site Admin
Site Admin
 
Posts: 5705
Joined: Wed Jan 08, 2003 5:24 am
Location: Tuxville, USA

Postby grassprietjesteller » Fri Nov 19, 2004 1:48 pm

My mistake.. I thought there should be a /etc folder in /home/ivan/amedyn
I found all the files like you said.

I'm doing everything with root permission so no problem here.

Can you tell me where I can find the crc32 module? Found a lot of links on the web, but most of them are in Spanish... so not very clear to me.

greetz
grassprietjesteller
user
user
 
Posts: 16
Joined: Sun Nov 14, 2004 8:47 am
Location: Antwerp

Postby Void Main » Fri Nov 19, 2004 2:19 pm

Well, there is a good chance that you already have it with your kernel (it is included in the last few Red Hat releases). You can see if it is currently loaded by:

# /sbin/lsmod | grep crc32

If it is included but not loaded you should be able to load it into the kernel by doing this:

# /sbin/modprobe crc32

then run the lsmod command again to see if it's loaded. I noticed on FC3 which runs the 2.6.x kernel the module is called crc32c instead of crc32. If your distro does not include it you will have to get the kernel source and configura/compile it with the crc32 module.
User avatar
Void Main
Site Admin
Site Admin
 
Posts: 5705
Joined: Wed Jan 08, 2003 5:24 am
Location: Tuxville, USA

Postby grassprietjesteller » Sat Nov 20, 2004 9:37 am

This is the output of the modprob command:

[root@localhost etc]# modprob crc32c
-bash: modprob: command not found

I tried the grep command but it seems to hang the konsole window.

greetz
grassprietjesteller
user
user
 
Posts: 16
Joined: Sun Nov 14, 2004 8:47 am
Location: Antwerp

Postby Void Main » Sat Nov 20, 2004 9:52 am

Look at the commands in my post a little more closely, then look at your commands and see if you see any differences.
User avatar
Void Main
Site Admin
Site Admin
 
Posts: 5705
Joined: Wed Jan 08, 2003 5:24 am
Location: Tuxville, USA

Postby grassprietjesteller » Sat Nov 20, 2004 10:18 am

Is this correct?

[root@localhost /]# /sbin/lsmod | grep crc32

[root@localhost /]# /sbin/modprobe crc32
FATAL: Module crc32 not found.

[root@localhost /]# /sbin/modprobe crc32c
FATAL: Module crc32c not found.

[root@localhost /]# lsmod
Module Size Used by
nfsd 173152 8
exportfs 5920 1 nfsd
sg 38044 0
st 38616 0
sr_mod 17028 0
sd_mod 16832 0
scsi_mod 114648 4 sg,st,sr_mod,sd_mod
parport_pc 32832 1
lp 12200 2
ppdev 9408 0
parport 38952 3 parport_pc,lp,ppdev
usblp 12288 0
md5 3872 1
ipv6 232352 12
snd-seq-oss 31232 0
snd-seq-midi-event 7552 1 snd-seq-oss
snd-seq 51024 4 snd-seq-oss,snd-seq-midi-event
snd-pcm-oss 51812 0
snd-mixer-oss 17952 1 snd-pcm-oss
snd-intel8x0 32776 1
snd-ac97-codec 58148 1 snd-intel8x0
snd-pcm 93156 2 snd-pcm-oss,snd-intel8x0
snd-timer 24484 2 snd-seq,snd-pcm
gameport 4480 1 snd-intel8x0
snd-page-alloc 11972 2 snd-intel8x0,snd-pcm
snd-mpu401-uart 7072 1 snd-intel8x0
snd-rawmidi 23616 1 snd-mpu401-uart
snd-seq-device 8008 3 snd-seq-oss,snd-seq,snd-rawmidi
snd 52484 14 snd-seq-oss,snd-seq-midi-event,snd-seq,snd-pcm-oss,snd-mixer-oss,snd-intel8x0,snd-ac97-codec,snd-pcm,snd-timer,snd-mpu401-uart,snd-rawmidi,snd-seq-device
soundcore 9248 1 snd
af_packet 20520 0
hid 53312 0
floppy 59444 0
sis900 19268 0
ohci1394 33956 0
ieee1394 287856 1 ohci1394
nls_cp850 4736 1
vfat 13760 1
fat 45120 1 vfat
nls_iso8859-15 4480 3
ntfs 85932 2
supermount 37876 2
sis-agp 5568 1
agpgart 31016 1 sis-agp
raw 7616 1
ide-floppy 18752 0
ide-tape 34864 0
ide-cd 40548 0
cdrom 37184 2 sr_mod,ide-cd
loop 14024 0
ehci-hcd 24196 0
ohci-hcd 18692 0
usbcore 99132 6 usblp,hid,ehci-hcd,ohci-hcd
rtc 11576 0
ext3 110408 1
jbd 54328 1 ext3
dm-mod 39424 3
grassprietjesteller
user
user
 
Posts: 16
Joined: Sun Nov 14, 2004 8:47 am
Location: Antwerp

Postby Void Main » Sat Nov 20, 2004 11:30 am

Yes, now you have typed both commands correctly. What that tells me is that you do not have a module currently loaded called "crc32" (your first command determined this). The second command was an attempt to load a kernel module named crc32 which failed because the module doesn't exist. This tells me that the kernel you have installed did not include the crc32 module.

Did you say you were running Mandrake? If so, which version, and which version of the kernel? You can tell which kernel version you currently have running by typing "uname -r". It would appear to me that you have a couple of options. If this app really needs the crc32 module and if you want to stay with your current distro you will at minimum have to get the kernel source and compile it, but including the crc32 module. Before going down that path I can check your kernel's compile options after getting the version.
User avatar
Void Main
Site Admin
Site Admin
 
Posts: 5705
Joined: Wed Jan 08, 2003 5:24 am
Location: Tuxville, USA

Postby grassprietjesteller » Sun Nov 21, 2004 4:38 am

Mandrake 10

[root@localhost root]# uname -r
2.6.3-7mdk
grassprietjesteller
user
user
 
Posts: 16
Joined: Sun Nov 14, 2004 8:47 am
Location: Antwerp

PreviousNext

Return to Fedora/Red Hat

Who is online

Users browsing this forum: No registered users and 0 guests

cron